Bug 1024671 - Add VNC Extension Pack to VirtualBox
Add VNC Extension Pack to VirtualBox
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Virtualization:Tools
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Larry Finger
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-02-10 08:12 UTC by Michal Nowak
Modified: 2017-04-12 16:12 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michal Nowak 2017-02-10 08:12:25 UTC
VirtualBox includes support for VNC as a VRDE in form of a Extension Pack but it's not included in openSUSE packages.

General information wrt the Extension Pack + how to test it: http://www.virtualbox.org/manual/ch09.html#otherextpacks.

For the VNC libraries (https://github.com/mirror/vbox/tree/b9657cd5351cf17432b664009cc25bb480dc64c1/src/VBox/ExtPacks/VNC) to be useful they should be part of Extension Pack which should be included into RPM sub-package, which - when installed - installs the Extension Pack via `VBoxManage extpack install` command. See Arch Linux repo for how it might be done: https://git.archlinux.org/svntogit/community.git/tree/trunk?h=packages/virtualbox.
Comment 1 Larry Finger 2017-03-29 15:39:25 UTC
Updates to VirtualBox that package VBoxVNC*.so has been submitted to both Tumbleweed and Leap 42.2. It will take a while for the new code to be available, but please test when the new packages are available.

Thanks,
Larry
Comment 2 Jürgen Löhel 2017-04-12 10:05:08 UTC
Closing this bug as fixed.
Comment 3 Swamp Workflow Management 2017-04-12 16:12:06 UTC
openSUSE-RU-2017:0989-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1024671
CVE References: 
Sources used:
openSUSE Leap 42.2 (src):    virtualbox-5.1.18-19.5.1